package com.zt.plat.module.qms.resource.material.enums;

import lombok.Getter;

/**
 * 物料入库业务类型
 */
@Getter
public enum MaterialInboundType {
    acceptance_inbound("验收入库"),

    check_over_inbound("盘盈入库");

    private final String name;

    MaterialInboundType(String name) {
        this.name = name;
    }

    public static MaterialFlowType fromName(String name) {
        for (MaterialFlowType type : MaterialFlowType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        throw new IllegalArgumentException("No enum constant with name: " + name);
    }
}
